bos_listusers(8)

NAME
bos listusers - Lists the privileged users from the UserList file

SYNOPSIS
bos listusers << -server <machine name >>> << [-cell <cell name] >>>
    [-noauth] [-localauth] [-help]

bos listu << -s <machine name >>> << [-c <cell name] >>> [-n]
    [-l] [-h]

DESCRIPTION
The bos listusers command lists the user names from the /usr/afs/etc/UserList file on the file server machine named by the -server argument. The users are authorized to issue privileged bos and vos commands.

To edit the list of users, use the bos adduser and bos removeuser commands.

OPTIONS

-server <machine name>
    Indicates the server machine from which to display the UserList file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the bos(8) manpage.

    For consistent performance in the cell, the output must be the same on every server machine. The bos adduser reference page explains how to keep the machines synchronized.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the bos(8) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the bos(8) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the bos(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output lists the user name of each user entitled to issue privileged bos and vos commands.

EXAMPLES
The following example lists the users from UserList file on the machine fs4.abc.com.

   % bos listusers fs4.abc.com
   SUsers are: pat smith jones terry

PRIVILEGE REQUIRED
None

SEE ALSO
the KeyFile(5) manpage, the UserList(5) manpage, the bos(8) manpage, the bos_adduser(8) manpage, the bos_removeuser(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.